import request from '@/utils/request'

// 查询企业年报股东及出资信息列表
export function listShareholder(query) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportShareholder/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业年报股东及出资信息详细
export function getShareholder(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportShareholder/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业年报股东及出资信息
export function addShareholder(data) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportShareholder',
    method: 'post',
    data: data
  })
}

// 修改企业年报股东及出资信息
export function updateShareholder(data) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportShareholder',
    method: 'put',
    data: data
  })
}

// 删除企业年报股东及出资信息
export function delShareholder(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportShareholder/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delShareholderBatch(ids) {
  return request.post('/basicData/xcrEnterpriseAnnualReportShareholder/delete',ids)
}
